import { OnInit } from '@angular/core';
import { jsPlumbToolkit, Surface } from "jsplumbtoolkit";
import { ForgeJSONSchema } from '@lowcodeunit/core';
export declare class FlowTableComponent implements OnInit {
    protected surface: Surface;
    protected toolkit: jsPlumbToolkit;
    obj: any;
    constructor();
    ngOnInit(): void;
    GetPadding(prop: ForgeJSONSchema): any[];
    IsNodeError(): any;
    NodeError(): false | "Schema relationships improperly configured or not present" | "Schema relationship functions have errors" | "No incomming mappings for this schema" | "No incomming module selected" | "No outgoing module selected" | "Filter functions have errors" | "Group/Aggregation error.  When using groups and/or aggregations every field must either be a result of an aggregate function OR in that schemas group, but NOT both" | "Timestamp filed required";
    PivotProperties(): ForgeJSONSchema[];
    PrepareSchemaTypeText(): any;
    ShowMappingError(id: string): any;
    ShowMappingFunctionError(id: string): any;
    protected recurseProperties(schema: ForgeJSONSchema, level: number): ForgeJSONSchema[];
}
